FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::GenericSpec Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (GenericSpec)
| EMPTY_CLASS (Assignment)
| EMPTY_CLASS (ReadFormatted)
| EMPTY_CLASS (ReadUnformatted)
| EMPTY_CLASS (WriteFormatted)
| EMPTY_CLASS (WriteUnformatted)

## Public Attributes
CharBlock | source
std::variant< Name, DefinedOperator, Assignment, ReadFormatted, ReadUnformatted, WriteFormatted, WriteUnformatted > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h